include debian/sources.mk

NAME = libtest_support
SOURCES = $(test_support_sources)

OBJECTS = $(SOURCES:.cc=.o)

CXXFLAGS += -std=gnu++17
CPPFLAGS += \
  -D_XOPEN_SOURCE=700 \
  -DBORINGSSL_ANDROID_SYSTEM \
  -DBORINGSSL_IMPLEMENTATION \
  -DBORINGSSL_SHARED_LIBRARY \
  -DOPENSSL_SMALL \
  -Isrc/include \

LDFLAGS += \
  -Wl,-soname,$(NAME).so.0 \
  -shared \

build: $(OBJECTS)
	$(CC) $^ -o debian/out/$(NAME).so.0 $(LDFLAGS)
	ln -sf $(NAME).so.0 debian/out/$(NAME).so

$(OBJECTS): %.o: %.cc
	$(CXX) -c -o $@ $< $(CXXFLAGS) $(CPPFLAGS)
